<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
<head>
<!-- 2020-11-03 Tue 14:23 -->
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1" />
<title>ISWC 2020 Tutorial: Pattern-based knowledge base construction (OTTR)</title>
<meta name="generator" content="Org mode" />
<meta name="author" content="Martin" />
<link rel="stylesheet" type="text/css" href="https://www.ottr.xyz/inc/style.css" />
<link rel="stylesheet" type="text/css" href="https://www.ottr.xyz/inc/spec.css" />
<script type="application/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<script type="application/javascript" src="https://www.ottr.xyz/inc/toc.js"></script>
</head>
<body>
<div id="content">
<header>
<h1 class="title">ISWC 2020 Tutorial: Pattern-based knowledge base construction (OTTR)</h1>
</header><div id="left">
<p>
  <a href="#top">top</a>
  <!--<br/>
  examples:
  <span class="button" onclick="$('.examplebox').show()">show</span>
  /
  <span class="button" onclick="$('.examplebox').hide()">hide</span>
  -->
</p>
  <h4>Table of Contents</h4>
  <div id="toc"></div>
</div>

<div id="right">
  <a name="top"></a>
  <h1 class="title">
ISWC 2020 Tutorial: Pattern-based knowledge base construction (OTTR)
</h1>
  <img id="logo" alt="OTTR" src="../../logo/tutOTTR.png"/>
  <b>
  <p>Half day tutorial at  <a href="https://iswc2020.semanticweb.org/">ISWC 2020</a>.</p>

<p>
  See <a href="http://ottr.xyz">ottr.xyz</a> for an introduction to OTTR, including interactive examples and primer with exercises and solutions.
   </p>

  <ul>

  <li>The tutorial will be fully virtual</li>
  <li>Monday Nov. 2, 13:00-16:00 CET</li>

  </ul>


  </b>

<div id="toc-content">

<div id="outline-container-org82326ae" class="outline-2">
<h2 id="org82326ae"><span class="section-number-2">1</span> Description</h2>
<div class="outline-text-2" id="text-1">
<p>
A major barrier for the adoption of semantic web technologies in
industry is the construction of sustainable knowledge bases; domain
experts and end-users often find semantic web languages and tools
difficult to use.
</p>

<p>
Reasonable Ontology Templates (OTTR) is a language and framework
that  allows abstractions or modelling patterns over RDF/OWL to be
 succinctly represented and instantiated. It is designed to address
the needs and expertise domain experts, ontology
engineers, and data managers in the process of creating and
maintaining high-quality, maintainable knowledge bases.
</p>

<p>
The tutorial will give an introduction to the OTTR framework,
discuss modelling best practices for sustainable knowledge bases
using templates and demonstrate practical use templates.  The
tutorial is relevant for semantic web practitioners and ontology
engineers who are eager to make efficient use of modelling patterns
in their work, and for information managers from industry looking
for possible ways to introduce ontology development into their
enterprise.
</p>
</div>
</div>


<div id="outline-container-org8f0e05d" class="outline-2">
<h2 id="org8f0e05d"><span class="section-number-2">2</span> Learning outcome</h2>
<div class="outline-text-2" id="text-2">
<p>
Tutorial participants will learn:
</p>
<ul class="org-ul">
<li>the benefits of using abstractions like ontology templates to
build, interact with and maintain ontologies;</li>
<li>how to use ontology templates for designing ontologies;</li>
<li>how to use and build ontology templates with simple, but powerful,
open source tools;</li>
<li>how to create and extend, navigate and use template libraries;
and</li>
<li>how to construct large ontologies with ontology templates using
different input formats such as spreadsheets, relational databases,
and SPARQL endpoints</li>
</ul>

<p>
The principles of OTTR templates are possible to grasp without prior
knowledge of semantic web technologies. However, participants will
benefit from a basic knowledge of RDF and OWL, and experience from
using these languages and related tools in order to fully appreciate
the features of OTTR templates&#x2014;no introduction to RDF or OWL will be
given. 
</p>
</div>
</div>


<div id="outline-container-org9c11667" class="outline-2">
<h2 id="org9c11667"><span class="section-number-2">3</span> Schedule</h2>
<div class="outline-text-2" id="text-3">
<ul class="org-ul">
<li>Introduction and motivation. Benefits of a pattern-based approach
to ontology engineering.</li>
<li>OTTR template basics. Examples and plenary exercises.</li>
<li>Template libraries. Navigating and using the core OTTR template
library.</li>
<li>Building and using template libraries for new use cases.</li>
</ul>
</div>
</div>

<div id="outline-container-org592cd5f" class="outline-2">
<h2 id="org592cd5f"><span class="section-number-2">4</span> Material</h2>
<div class="outline-text-2" id="text-4">
<p>
The tutorial material consists of a <a href="./main.pdf">slide deck</a>. 
</p>

<p>
The exercises will make use of our reference implementation <i>Lutra</i>
which is available for download via <a href="http://ottr.xyz">http://ottr.xyz</a> or via the feature
limited web application <i>WebLutra</i> at <a href="http://weblutra.ottr.xyz">http://weblutra.ottr.xyz</a>. 
</p>
</div>
</div>

<div id="outline-container-org8480771" class="outline-2">
<h2 id="org8480771"><span class="section-number-2">5</span> Presenters</h2>
<div class="outline-text-2" id="text-5">
<p>
<a href="http://folk.uio.no/martige">Martin G. Skjæveland</a> is the lead developer and manager of Reasonable
Ontology Templates project. He is a researcher at the University of
Oslo and leads the Ontology Engineering research program of <a href="http://sirius-lab">SIRIUS</a>
&#x2013; a centre for research-driven innovation for Scalable Data
Access. He also holds an adjunct position as associate professor in
data science at the University of Stavanger.
</p>

<p>
<a href="https://www.mn.uio.no/ifi/english/people/aca/danielup/">Daniel P. Lupp</a> is a postdoctoral researcher at the University of
Oslo working on best-practice methodologies for the use of OTTR in
ontology specification and maintenance.
</p>

<p>
<a href="https://www.mn.uio.no/ifi/personer/vit/leifhka/">Leif Harald Karlsen</a> is a senior lecturer at the University of
Oslo and one of the main developers of OTTR.
</p>
</div>
</div>
</div>
</body>
</html>
